<?php

//$file = fopen("../txtlog/mantenimiento_directorio_fotos_visual_check_log.txt", "a");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);

$puesto=$_GET["puesto"];

$nuevafecha = calcula_nombre_fichero_limite_borrado();
$archivo_limite_borrado = "C".substr($nuevafecha, 2, 6);

$ascii = 92;
$carpeta_origen  = "..".chr($ascii)."fotos".$puesto;

$log = 'NO';
if ($log == 'SI')
{
	$momento = calcula_fecha_sistema();
	
	$file = fopen("../txtlog/mantenimiento_directorio_fotos_visual_check_log.txt", "a");
	fwrite($file, "-----------------". PHP_EOL);
	fwrite($file, " ". PHP_EOL);
	fwrite($file, "momento $momento". PHP_EOL);
	fwrite($file, "puesto $puesto". PHP_EOL);
	fwrite($file, "carpeta $carpeta_origen". PHP_EOL);
	fwrite($file, "archivo limite $archivo_limite_borrado". PHP_EOL);
	fwrite($file, " ". PHP_EOL);
	fclose($file);
}

$archivos_borrados = procesa_archivos_generados($carpeta_origen,$archivo_limite_borrado,$ascii,$log,$nuevafecha);

$resultado = "SE HAN BORRADO $archivos_borrados FICHEROS";

echo $resultado;

//---------------------------------------------------------------------------------------------------------------------------------------------------------------------

function calcula_fecha_sistema(){
	
	$momento = "";
	
	$hoy = getdate();
	if (strlen($hoy['mday'])==2)
	{
		$dia = $hoy['mday'];
	}
	else
	{
		$dia = '0'.$hoy['mday'];
	}
	if (strlen($hoy['mon'])==2)
	{
		$fecha = $dia.'/'.$hoy['mon'].'/'.$hoy['year'];
	}
	else
	{
		$fecha = $dia.'/0'.$hoy['mon'].'/'.$hoy['year'];
	}
	if (strlen($hoy['minutes'])==2)
	{
		$minutos = $hoy['minutes'];
	}
	else
	{
		$minutos = '0'.$hoy['minutes'];
	}
	
	$momento = $hoy['weekday']." ".$fecha." ".$hoy['hours'].":".$minutos.":".$hoy['seconds'];
	
	return $momento;
	
}

//---------------------------------------------------------------------------------------------------------------------------------------------------------------------

function calcula_nombre_fichero_limite_borrado()
{
	
	// Borramos 30 días antes de la fecha del sistema
	
	$nuevafecha = "";
	
	$fecha = date('Y-m-j');
	$nuevafecha = strtotime('-30 day',strtotime($fecha)) ;
	$nuevafecha = date ('Ymj',$nuevafecha);
	
	return $nuevafecha;
	
}

//---------------------------------------------------------------------------------------------------------------------------------------------------------------------

function procesa_archivos_generados($carpeta_origen,$archivo_limite_borrado,$ascii,$log,$nuevafecha)
{
	$tipo_borrado = 'FECHA';
	//$tipo_borrado = 'NOMBRE';
	
	$archivos_borrados = 0;
		
	if(is_dir($carpeta_origen)){
		
		if($dir = opendir($carpeta_origen)){
			
			if ($log == 'SI')
			{
				$file = fopen("../txtlog/mantenimiento_directorio_fotos_visual_check_log.txt", "a");
				fwrite($file, "Tipo borrado -> $tipo_borrado". PHP_EOL);
			}
			
			while(($archivo = readdir($dir)) !== false)
			{
			
				if($archivo != '.' && $archivo != '..' && $archivo != '.htaccess')
				{
					try
					{
						$ruta_fichero = $carpeta_origen.chr($ascii).$archivo;
						$fecmod = date("Ymd",filemtime($ruta_fichero));
						$borrar = 'NO';
						if ($tipo_borrado == 'FECHA')
						{
							if ($fecmod == $nuevafecha)
							{
								$borrar = 'SI';
							}
						}
						if ($tipo_borrado == 'NOMBRE')
						{
							if ($archivo_limite_borrado >= substr($archivo, 0, 7))
							{
								$borrar = 'SI';
							}
						}
						if ($borrar == 'SI')
						{
							unlink($ruta_fichero);
							if ($log == 'SI')
							{
								fwrite($file, "Archivo borrado -> $ruta_fichero * Fecha Archivo -> ".$fecmod. PHP_EOL);
							}
							$archivos_borrados = $archivos_borrados + 1;
						}
					}
					catch(Exception $e)
					{
						// Nada
					}	
				}
				
			}
			
			closedir($dir);
			
			if ($log == 'SI')
			{
				fwrite($file, " ". PHP_EOL);
				fwrite($file, "archivos borrados $archivos_borrados". PHP_EOL);
				fwrite($file, " ". PHP_EOL);
				fclose($file);
			}
		}
		
	}
	
	return $archivos_borrados;
}

//---------------------------------------------------------------------------------------------------------------------------------------------------------------------

?>